//Copyright (C) 2007 SiegeLord
//See ReadMe.txt and License.txt for copying information

#pragma once

#include "engine.h"

struct SException
{
	string text;

	SException(const char* message)
	{
		text = message;
	}
};

void Throw(const char* message);
void Throw(const char* message1, const char* message2);
void Throw(int line_num, const char* filename);

#define _ASSERT(a) if(!(a)) {ASSERT(0); Throw(__LINE__, __FILE__);}

